Passer au contenu principal
PUT
/
v3
/
organizations
/
{org_id}
/
knowledge
/
notes
/
{note_id}
Mettre à jour une note au niveau de l’organisation
curl --request PUT \
  --url https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes/{note_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "name": "<string>",
  "trigger": "<string>",
  "pinned_repo": "<string>"
}
'
{
  "access_type": "enterprise",
  "body": "<string>",
  "created_at": 123,
  "folder_id": "<string>",
  "folder_path": "<string>",
  "is_enabled": true,
  "macro": "<string>",
  "name": "<string>",
  "note_id": "<string>",
  "org_id": "<string>",
  "pinned_repo": "<string>",
  "trigger": "<string>",
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Nécessite un compte de service disposant de la permission ManageAccountKnowledge pour l’organisation spécifiée.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de chemin

note_id
string
requis

ID de note de Knowledge (préfixe : note-)

Exemple:

"note-abc123def456"

Corps

application/json
body
string
requis
name
string
requis
trigger
string
requis
pinned_repo
string | null

Réponse

Réponse en cas de succès

access_type
enum<string>
requis
Options disponibles:
enterprise,
org
body
string
requis
created_at
integer
requis
folder_id
string | null
requis
folder_path
string
requis
is_enabled
boolean
requis
macro
string | null
requis
name
string
requis
note_id
string
requis
org_id
string | null
requis
pinned_repo
string | null
requis
trigger
string
requis
updated_at
integer
requis